%global module_name util-deprecate

Name:                nodejs-%{module_name}
Version:             1.0.2
Release:             1
Summary:             The Node.js `util.deprecate()` function with browser support

License:             MIT
URL:                 https://github.com/TooTallNate/util-deprecate
Source0:             https://github.com/TooTallNate/util-deprecate/archive/%{version}.tar.gz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch

BuildRequires:       nodejs-packaging

%description
In Node.js, this module simply re-exports the util.deprecate() function.
In the web browser (i.e. via browserify), a browser-specific implementation
of the util.deprecate() function is used.

%prep
%setup -q -n %{module_name}-%{version}
rm -rf node_modules

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{module_name}

%changelog
* Wed Aug 12 2020 wangxiao <wangxiao65@huawei.com> - 1.0.2-1
- package init
